Status: Resolved Start date: 01/17/2018
Priority: Normal % Done: 100%
Assignee: Maria Elena Garcia Reyes

Category:

Description

To whom it may concern,

I am using the BHPS to conduct research on income, house tenure and job history, for all waves. | can append in long format files
windresp.dta which contain both income and tenure and balance them at pid level. Now the problem | have is with wjobhist.dta the
individual files are unbalanced which means that when | append the waves in long format the data is all unbalanced...

My original plan was to have in a long format indresp then marge it with jobhist... but my problem is that | don't have unique pid for
jobhist?

could you please help?

Thanks

History

#1 - 01/17/2018 02:28 PM - Stephanie Auty
- Status changed from New to In Progress

- Assignee set to Stephanie Auty

- Target version set to BHPS

- % Done changed from 0 to 10

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

Best wishes,
Stephanie Auty - Understanding Society User Support Officer

#2 - 01/21/2018 06:12 PM - Stephanie Auty
Dear Maria,

Since wjobhist can have more than one record per respondent, you will need to do a one to many (1:m) or many to one (m:1) merge, depending on
which file you have open and which is specified in the 'using' part of the code. You can find more information about this in:

(i) BHPS User Guide https://www.iser.essex.ac.uk/bhps/documentation/vola/index.html

(ii) Constructing Consistent Work-life Histories: A guide for users of the British Household Panel Survey by David C Maré:
https://www.google.co.uk/url?sa=t&rct=j&g=8&esrc=s&source=web&cd=2&cad=rja&uact=8&ved=0ahUKEwj1yfS8oN_YAhVDK8AKHdF5BwWkQF
E&url=https%3A%2F%2Fwww.iser.essex.ac.uk%2Ffiles%2Fiser working_papers%2F2006-39.pdf&usg=A0OvVaw3U7sVgpTv_FUE5C_bkK6Q0

(ili) Chapter 12 in “A Practical Guide to Using Panel Data” by Alita Nandi

Best wishes,
Stephanie Auty - Understanding Society User Support Officer

#3 - 01/22/2018 10:17 AM - Stephanie Auty
- Status changed from In Progress to Feedback
- Assignee changed from Stephanie Auty to Maria Elena Garcia Reyes

- % Done changed from 10 to 50

#4 - 01/24/2018 09:54 AM - Stephanie Auty

- Assignee changed from Maria Elena Garcia Reyes to Stephanie Auty
From: Maria Garcia Reyes [mailto:mariaelena.garciareyes@york.ac.uk]

Sent: 22 January 2018 11:38

To: usersupport@understandingsociety.ac.uk

Subject: Re: [Understanding Society User Support - Support #900] (Feedback) BHPS

Many thanls | understand better my problem on reading Mare, consistent work life Histories | realize there might be a do file available (wlh.zip
dasboard.do setpath.do) create this consistent work life histories is it possible to have it is tit available online?

Does it work for all the waves?

Are there do files for the Oskrochi and Crouchley approach?

Thanking in advance,

Maria

#5 - 02/12/2018 12:20 PM - Alita Nandi

- Assignee changed from Stephanie Auty to Maria Elena Garcia Reyes
- % Done changed from 50 to 90

Dear Maria,

Dave Mare's files are available at the UKDS: https://discover.ukdataservice.ac.uk/catalogue/?sn=7821&type=Data%20catalogue
As these are user written programmes we have limited information about these files. Please contact the authors regarding questions relating to these

files.

Best wishes,
Alita

#6 - 08/14/2018 04:04 PM - Stephanie Auty
- Status changed from Feedback to Resolved

- % Done changed from 90 to 100
